Package org.jboss.resteasy.jose.jws

## Class JWSInput

- java.lang.Object
- - org.jboss.resteasy.jose.jws.JWSInput

-     public class JWSInput
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JWSInput​(String wire, javax.ws.rs.ext.Providers providers)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getContent()` |
    `String` | `getEncodedContent()` |
    `String` | `getEncodedHeader()` |
    `String` | `getEncodedSignature()` |
    `String` | `getEncodedSignatureInput()` |
    `JWSHeader` | `getHeader()` |
    `byte[]` | `getSignature()` |
    `String` | `getWireString()` |
    `Object` | `readContent​(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` |
    `<T> T` | `readContent​(Class<T> type)` |
    `String` | `readContentAsString()` |
    `<T> T` | `readJsonContent​(Class<T> type)` |
    `boolean` | `verify​(String key)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JWSInput

          public JWSInput​(String wire,
                          javax.ws.rs.ext.Providers providers)
                   throws JWSInputException

      Throws:
        `JWSInputException`

  - ### Method Detail

    - #### getWireString

          public String getWireString()

    - #### getEncodedHeader

          public String getEncodedHeader()

    - #### getEncodedContent

          public String getEncodedContent()

    - #### getEncodedSignature

          public String getEncodedSignature()

    - #### getEncodedSignatureInput

          public String getEncodedSignatureInput()

    - #### getHeader

          public JWSHeader getHeader()

    - #### getContent

          public byte[] getContent()

    - #### getSignature

          public byte[] getSignature()

    - #### verify

          public boolean verify​(String key)

    - #### readJsonContent

          public <T> T readJsonContent​(Class<T> type)
                                throws JWSInputException

      Throws:
        `JWSInputException`

    - #### readContentAsString

          public String readContentAsString()

    - #### readContent

          public <T> T readContent​(Class<T> type)

    - #### readContent

          public Object readContent​(Class<?> type,
                                    Type genericType,
                                    Annotation[] annotations,
                                    javax.ws.rs.core.MediaType mediaType)